--------------------------------------------------------
-- PureQuery Repository Full removal script for DB2 LUW
--- 
--  please make corresponding changes in tablespace and 
--  bufferpool names if you made any changes in Repository
--  setup script 
----------------------------------------------------------

-- <ScriptOptions statementTerminator=";" />

drop view DEPTAB;
drop view SRCINFO;
drop view SRC_STMT;
drop view PROJECT;
drop view APP;
drop view STMT;
drop view DBINFO;
drop view METADATASOURCE;
drop view SCHEMA_VERSION;
drop view STACK;
drop view METADATASOURCE_STMT;
drop view METADATAGROUP;
drop view METADATAGROUPMEMBERS;
drop view CONTACT;
drop view CAPTUREDATA;

drop package AMD1;
drop package AMD2;
drop package AMD3;
drop package AMD4;

drop package AMDA1;
drop package AMDA2;
drop package AMDA3;
drop package AMDA4;

drop package AMDL1;
drop package AMDL2;
drop package AMDL3;
drop package AMDL4;

{upgrades};

ALTER TABLE DEPTAB_T DROP CONSTRAINT DEPTAB_T_STMT_FK;
	
ALTER TABLE STMT_T DROP CONSTRAINT DBINFO_STMT_T_FK;

ALTER TABLE SRCINFO_T DROP CONSTRAINT SRCINFO_PROJ_T_FK;

ALTER TABLE STACK_T DROP CONSTRAINT STACK_MDSRC_T_FK;
    
ALTER TABLE SRC_STMT_T DROP CONSTRAINT SRC_STMT_STMT_T_FK;
	
ALTER TABLE SRC_STMT_T DROP CONSTRAINT SRC_STMT_STK_T_FK;
	
ALTER TABLE SRC_STMT_T DROP CONSTRAINT SRC_STMT_APP_T_FK;

ALTER TABLE METADATASOURCE_STMT_T DROP CONSTRAINT MD_STMT_MDSRC_T_FK;
	
ALTER TABLE METADATASOURCE_STMT_T DROP CONSTRAINT MD_STMT_STMT_T_FK;

ALTER TABLE METADATASOURCE_STMT_T DROP CONSTRAINT MD_STMT_APP_T_FK;

ALTER TABLE METADATASOURCE_STMT_T DROP CONSTRAINT MD_STMT_PROJ_T_FK;

ALTER TABLE SRCINFO_T DROP CONSTRAINT SRCINFO_SIDS_T_FK;

ALTER TABLE METADATAGROUPMEMBERS_T DROP CONSTRAINT MDGM_MDS_T_FK;

ALTER TABLE METADATAGROUPMEMBERS_T DROP CONSTRAINT MDGM_MDG_T_FK;

ALTER TABLE METADATAGROUPMEMBERS_T DROP CONSTRAINT MDGM_MDG_2_T_FK;

ALTER TABLE METADATAGROUP_T DROP CONSTRAINT MDG_CONTACT_T_FK;

drop index METADATAGROUP_T_IDX;
drop index PROJECT_T_IDX;
drop index APP_T_IDX;

drop table DEPTAB_T;
drop table SRCINFO_T;
drop table SRC_STMT_T;
drop table APP_T;
drop table STMT_T;
drop table DBINFO_T;
drop table METADATASOURCE_T;
drop table SCHEMA_VERSION_T;
drop table STACK_T;
drop table METADATASOURCE_STMT_T;
drop table PROJECT_T;
drop table METADATAGROUPMEMBERS_T;
drop table METADATAGROUP_T;
drop table CONTACT_T;
drop table CAPTUREDATA_T;

commit work;
