--------------------------------------------------------
-- PureQuery Repository Lite removal script for DB2 Z
--- 
--  please make corresponding changes in tablespace and 
--  database names if you made any changes in Repository
--  setup script 
----------------------------------------------------------

-- <ScriptOptions statementTerminator=";" />

drop view METADATASOURCE;
drop view CAPTUREDATA;
drop view METADATAGROUP;
drop view METADATAGROUPMEMBERS;
drop view CONTACT;
drop view SCHEMA_VERSION;

drop package AMDA1;
drop package AMDA2;
drop package AMDA3;
drop package AMDA4;

drop package AMDL1;
drop package AMDL2;
drop package AMDL3;
drop package AMDL4;

ALTER TABLE METADATAGROUPMEMBERS_T DROP CONSTRAINT MDGM_MDS_T_FK;

ALTER TABLE METADATAGROUPMEMBERS_T DROP CONSTRAINT MDGM_MDG_T_FK;

ALTER TABLE METADATAGROUPMEMBERS_T DROP CONSTRAINT MDGM_MDG_2_T_FK;

ALTER TABLE METADATAGROUP_T DROP CONSTRAINT MDG_CONTACT_T_FK;

{upgrades};

drop index METADATAGROUP_T_IDX;

drop table METADATASOURCE_T;
drop table CAPTUREDATA_T;
drop table METADATAGROUP_T;
drop table METADATAGROUPMEMBERS_T;
drop table CONTACT_T;
drop table SCHEMA_VERSION_T;

drop tablespace PDQDSN.PDQTSCD;
drop tablespace PDQDSN.PDQTSCT;
drop tablespace PDQDSN.PDQTSMG;
drop tablespace PDQDSN.PDQTSMGM;
drop tablespace PDQDSN.PDQTSMS;
drop tablespace PDQDSN.PDQTSSV;
drop tablespace PDQDSN.PDQBTSCD;
drop tablespace PDQDSN.PDQBTSMS;

drop database PDQDSN;

commit work;
