-- <ScriptOptions statementTerminator=";" />

-- There is no common ALTER VIEW capability, so whether these ALTER TABLEs are part of the original repository create 
-- or through an upgrade, the new columns can't appear in the METADATAGROUP or SCHEMA_VERSION views.  
ALTER TABLE METADATAGROUP_T ADD COLUMN ASYNC_REFRESH_TRACK INTEGER; 
ALTER TABLE SCHEMA_VERSION_T ADD COLUMN UUID_MOST_SIGNIFICANT_BITS BIGINT;             
ALTER TABLE SCHEMA_VERSION_T ADD COLUMN UUID_LEAST_SIGNIFICANT_BITS BIGINT;

CREATE SEQUENCE METADATAGROUP_REFRESH_SEQ AS INT START WITH 1 MAXVALUE 2147483647 INCREMENT BY 1;

commit work;
UPDATE SCHEMA_VERSION_T SET VERSION=2, RELEASE=2, MOD=7 WHERE COMPONENT like 'com.ibm.pureQuery%';