-- An attempt to migrate 2.2.4 repository to 2.2.5, so that it can be migrated to 2.2.6.
-- Note that this is not a true migration since many tables will not be placed in the 2.2.5 version of tablespaces.

-- <ScriptOptions statementTerminator=";" />
	
CREATE BUFFERPOOL PDQBP
	ALL DBPARTITIONNUMS  SIZE 250
	PAGESIZE 8 K;

-- Large tablespace for the pureQuery metadata objects.
CREATE LARGE TABLESPACE PDQTS
	IN DATABASE PARTITION GROUP IBMDEFAULTGROUP
	PAGESIZE 8 K
	MANAGED BY AUTOMATIC STORAGE
	EXTENTSIZE 32
	BUFFERPOOL PDQBP
	OVERHEAD 7.5
	TRANSFERRATE 0.06
	NO FILE SYSTEM CACHING;
	