-- <ScriptOptions statementTerminator=";" />

-- There is no common ALTER VIEW capability, so whether these ALTER TABLEs are part of the original repository create 
-- or through an upgrade, the new columns can't appear in the METADATAGROUP or SCHEMA_VERSION views.  
ALTER TABLE METADATAGROUP_T ADD (ASYNC_REFRESH_TRACK INTEGER);
ALTER TABLE SCHEMA_VERSION_T ADD (UUID_MOST_SIGNIFICANT_BITS INT8);             
ALTER TABLE SCHEMA_VERSION_T ADD (UUID_LEAST_SIGNIFICANT_BITS INT8);

-- The performance of this (infrequently used) sequence is less important than that it return a monotonically increasing
-- value, so explicitly specify ORDER and NOCACHE.
CREATE SEQUENCE METADATAGROUP_REFRESH_SEQ
 MINVALUE 1 MAXVALUE 2147483647
 START WITH 1 INCREMENT BY 1
 ORDER NOCACHE;

commit work;
UPDATE SCHEMA_VERSION_T SET "VERSION"=2, "RELEASE"=2, "MOD"=7 WHERE COMPONENT like 'com.ibm.pureQuery%';